- entityDefinitions:
  - IDM_Method__get__Class: '{556a1c34-f0ab-46a2-a063-d892d6f79a2d}'
  - IDMB_Method__get__Class: '{74d1a7b5-8ef3-4858-82d2-c8e908cda532}'
- library: '&IDL_MochaBaseSystem;'
  instances:
  - getReferencedInstanceSetMethod: '&IDM_Method__get__Class;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_Method;'
    returnsWorkSetId: '&IDI_WorkSet_ClassForMethod;'
    verb: 'get'
    name: 'Class'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_Method;'
    answerInstanceSet: '&IDR_Method__for__Class;'
    singular: yes
    
  - returnInstanceSetMethodBinding: '&IDMB_Method__get__Class;'
    executesMethod: '&IDM_Method__get__Class;'
    # parameterAssignments:
    # - globalIdentifier: '{5e89d13d-70e7-45e1-886c-ca2244eb3edf}'
    #   assignsToParameter: '&IDC_Method;'
    #   assignsFromWorkData: '&IDI_WorkSet_MethodSingular;'

